We can't find the internet
Attempting to reconnect
Something went wrong!
Hang in there while we get back on track
Product: Smart Cyber
Create Quote Request
createQuoteRequest(clientId: $clientId, productType: $productType)
- Product
- Smart Cyber
- Method
- POST
- Endpoint
-
Sandbox:
https://api-sandbox.corvusinsurance.com/qProduction:https://crowbar.corvusinsurance.com/q - Authentication
-
Send the headers
X-API-KEY, X-USER-EMAIL, X-USER-NAMEwith every request. See Authentication.
Arguments
Required Required to submit OptionalPass these as variables.
| Name | Type | Required | Description |
|---|---|---|---|
| clientId | ID | Optional | Id of the client to make the request for (see Create Client). If omitted, a new client with no name is created. We recommend always providing the id of an existing client. |
| productType | ProductType! | Required | Indicates the product line of the quote request. For Smart Cyber this value must be Although the schema marks this argument as nullable, it must be provided: requests without it fail. |
Response fields
Select only the fields you need in the selection set.
| Name | Type | Description |
|---|---|---|
| id | ID | Quote request id you can use in future requests |